Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web
[Groovy] Class ControllersGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.ControllersGrailsPlugin

    class ControllersGrailsPlugin
    extends java.lang.Object

Handles the configuration of controllers for Grails.

Authors:
  Graeme Rocher

Since:
  0.4

Property Summary
`java.lang.Object` | `dependsOn`
`java.lang.Object` | `doWithDynamicMethods`
`java.lang.Object` | `doWithSpring`
`java.lang.Object` | `doWithWebDescriptor`
`java.lang.Object` | `observe`
`java.lang.Object` | `onChange`
`java.lang.Object` | `version` /*Controller.groovy", "file:.
`java.lang.Object` | `watchedResources`

Method Summary
`static void` | `enhanceDomainWithBinding(org.springframework.context.ApplicationContext ctx, GrailsDomainClass dc, groovy.lang.MetaClass mc)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### dependsOn

    java.lang.Object dependsOn

### doWithDynamicMethods

    java.lang.Object doWithDynamicMethods

### doWithSpring

    java.lang.Object doWithSpring

### doWithWebDescriptor

    java.lang.Object doWithWebDescriptor

### observe

    java.lang.Object observe

### onChange

    java.lang.Object onChange

### version

    java.lang.Object version

  /*Controller.groovy", "file:./plugins/

### watchedResources

    java.lang.Object watchedResources

Method Detail

### enhanceDomainWithBinding

    static void enhanceDomainWithBinding(org.springframework.context.ApplicationContext ctx, GrailsDomainClass dc, groovy.lang.MetaClass mc)

Groovy Documentation